// ----------------------------------------------------------------------------
// GLGPUmesh.h
//
//   Header for using the GPUmesh class with OpenGL.
//
//                                                    (c) Sylvain Lefebvre 2003
// ----------------------------------------------------------------------------
#ifndef __GLGPUMESH__
#define __GLGPUMESH__
// ----------------------------------------------
#include <GL/gl.h>
// ----------------------------------------------
#define GPUMESH_TRIANGLESTRIP GL_TRIANGLE_STRIP
#define GPUMESH_TRIANGLELIST  GL_TRIANGLES
#define GPUMESH_TRIANGLEFAN   GL_TRIANGLE_FAN
#define GPUMESH_QUADS         GL_QUADS
// ----------------------------------------------
#include "CGPUmesh.h"
// ----------------------------------------------
#include "CGPUmesh_CompilePolicy_GL_Calls.h"
#include "CGPUmesh_CompilePolicy_GL_DisplayList.h"
#include "CGPUmesh_CompilePolicy_GL_VBO.h"
// ----------------------------------------------
#endif
// ----------------------------------------------
